<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!--xsl:include href="../xsl/replace.xsl" /-->
<xsl:output method="html" encoding="utf-8"/>
	
	<xsl:template name="afficherListeRels">
		<xsl:param name="id"/>
		<xsl:param name="rels"/>
		<xsl:param name="typeRels"/>
		<xsl:param name="relPereId"/>
		<xsl:param name="concepteur"/>
		<xsl:param name="pageActuelle"/>
		<xsl:choose>
			<xsl:when test="not(exsl:node-set($rels)/rel)"
					xmlns:exsl="http://exslt.org/common">
				<h1>Pas de ressources dans cette rubrique</h1>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="afficherListeRelsNonVide">
					<xsl:with-param name="id" select="$id"/>
					<xsl:with-param name="rels" select="$rels"/>
					<xsl:with-param name="typeRels" select="$typeRels"/>
					<xsl:with-param name="relPereId" select="$relPereId"/>
					<xsl:with-param name="concepteur" select="$concepteur"/>
					<xsl:with-param name="pageActuelle" select="$pageActuelle"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="afficherListeRelsNonVide">
		<xsl:param name="id"/>
		<xsl:param name="rels"/>
		<xsl:param name="typeRels"/>
		<xsl:param name="relPereId"/>
		<xsl:param name="concepteur"/>
		<xsl:param name="pageActuelle"/>
		<div class="tabs">
			<ul>
			<xsl:if test="count(exsl:node-set($rels)/rel[not(sousType = preceding-sibling::rel/sousType)]) > 1"
						xmlns:exsl="http://exslt.org/common">
				<li><a href="#DIV{$id}_toutes">Toutes</a></li>
			</xsl:if>
			<xsl:for-each select="exsl:node-set($rels)/rel[not(sousType = preceding-sibling::rel/sousType)]"
						xmlns:exsl="http://exslt.org/common">
				<li><a href="#DIV{$id}_{position()}">
					<xsl:choose>
						<xsl:when test="sousType = ''"> <xsl:value-of select="type"/></xsl:when>
						<xsl:otherwise> <xsl:value-of select="sousType"/></xsl:otherwise>
					</xsl:choose>
				</a></li>
				</xsl:for-each>
			</ul>
			<xsl:if test="count(exsl:node-set($rels)/rel[not(sousType = preceding-sibling::rel/sousType)]) > 1"
						xmlns:exsl="http://exslt.org/common">
			<div id="DIV{$id}_toutes">
				<table class="tablesorter">
					<thead>
						<tr>
							<xsl:choose>
								<xsl:when test="exsl:node-set($rels)/rel[@refId]" 
										xmlns:exsl="http://exslt.org/common">
								<th style="width:2%"></th>
								<th style="width:35%">Libell&#233;</th>
								<th style="width:3%">Visibilit&#233;</th>
								<th style="width:3%" >Publi&#233;e</th>
								<th style="width:7%">Type</th>
								<th style="width:10%">date de cr&#233;ation</th>
								<th style="width:10%">date de mise &#224; jour</th>
								<th style="width:2%"></th>
								<th style="width:35%">Ressource(s) parente(s)</th>
								</xsl:when>
								<xsl:otherwise>
								<th style="width:2%" ></th>
								<th style="width:62%">Libell&#233;</th>
								<th style="width:3%">Visibilit&#233;</th>
								<th style="width:3%">Publi&#233;e</th>
								<th style="width:7%">Type</th>
								<th style="width:13%">date de cr&#233;ation</th>
								<th style="width:13%">date de mise &#224; jour</th>
								</xsl:otherwise>
							</xsl:choose>
						</tr>
					</thead>
					<tbody>
						<xsl:for-each select="exsl:node-set($rels)/rel[not(@id = preceding-sibling::rel/@id)]"
						xmlns:exsl="http://exslt.org/common">
							<xsl:sort select="libelle"/>
							<xsl:sort select="@id"/>
							<xsl:variable name="idRel"><xsl:value-of select="@id"/></xsl:variable>
							<tr id="REL_{@id}_toutes">
								<td>
									<xsl:call-template name="afficherIconeRessource">
										<xsl:with-param name="type"> <xsl:value-of select="type"/></xsl:with-param>
									</xsl:call-template>
								</td>
								<td>
									 <a href="showrel.jsp?id={@id}&amp;type={type}">
									<!--xsl:variable name="libelle">
										<xsl:call-template name="string-replace-all">
											<xsl:with-param name="text"><xsl:value-of select="libelle"/></xsl:with-param>
											<xsl:with-param name="replace">é</xsl:with-param>
											<xsl:with-param name="by">&#233;</xsl:with-param>
										</xsl:call-template>
									</xsl:variable-->
									<xsl:value-of select="libelle" disable-output-escaping="yes"/>
								</a> </td>
								<td>
									<xsl:value-of select="visibilite"/>
								</td>
								<td id="REL_COL_{@id}_toutes" style="text-align:center">
									<a href="javascript:changerEtatPublication({@id},'{etat}','REL_COL_{@id}_toutes')">
									<xsl:choose>
										<xsl:when test="etat = 'BROUILLON'">
											<img src="../images/icons/interdit-icon.png" border="0" alt="interdit" title="ressource non publi&#233;e"/>
										</xsl:when>
										<xsl:otherwise>
											<img src="../images/icons/autorise-icon.png" border="0" alt="publier" title="ressource publi&#233;e"/>
										</xsl:otherwise>
									</xsl:choose>
									</a>
								</td>
								<td>
									<xsl:value-of select="sousType"/>
								</td>
								<td>
							<span style="display:none"><xsl:value-of 
select="concat(substring(dateCre,7,4),'/',substring(dateCre,4,2),'/',substring(dateCre,1,2))"/></span><xsl:value-of select="dateCre"/>
								</td>
								<td>
							<span style="display:none"><xsl:value-of 
select="concat(substring(dateMAJ,7,4),'/',substring(dateMAJ,4,2),'/',substring(dateMAJ,1,2))"/></span><xsl:value-of select="dateMAJ"/>
								</td>
								<xsl:if test="@refId">
									<td valign="middle">
										<xsl:call-template name="afficherIconeRessource">
											<xsl:with-param name="type"> <xsl:value-of select="mereType"/></xsl:with-param>
										</xsl:call-template>
									</td>
									<td>
										<xsl:for-each select="exsl:node-set($rels)/rel[@id = $idRel]"
										xmlns:exsl="http://exslt.org/common">
											<xsl:variable name="refId">
												<xsl:value-of select="@refId"/>
											</xsl:variable>
											<a href="showrel.jsp?id={$refId}&amp;type={mereType}">
											<xsl:value-of select="mereLibelle" disable-output-escaping="yes"/>
											</a> 
											<xsl:if test="not(last() = position())">, </xsl:if>
										</xsl:for-each>
									</td>
								</xsl:if>
							</tr>
						</xsl:for-each>
					</tbody>
				</table>
			</div>
			</xsl:if>
			<!-- Affichage de toutes les ressources d'un même sous type -->
			<xsl:for-each select="exsl:node-set($rels)/rel[not(sousType = preceding-sibling::rel/sousType)]"
						xmlns:exsl="http://exslt.org/common">

			<xsl:variable name="sousType"><xsl:value-of select="sousType"/></xsl:variable>

			<div id="DIV{$id}_{position()}">
				<table class="tablesorter">
					<thead>
						<tr>
							<xsl:choose>
								<xsl:when test="exsl:node-set($rels)/rel[@refId]" 
										xmlns:exsl="http://exslt.org/common">
								<th style="width:2%" ></th>
								<th style="width:35%" >Libell&#233;</th>
								<th style="width:3%" >Visibilit&#233;</th>
								<th style="width:3%" >Publi&#233;e</th>
								<th style="width:10%">date de cr&#233;ation</th>
								<th style="width:10%">date de mise &#224; jour</th>
								<th style="width:2%" ></th>
								<th style="width:35%" >Ressource(s) parente(s)</th>
								</xsl:when>
								<xsl:otherwise>
								<th style="width:2%" ></th>
								<th style="width:50%">Libell&#233;</th>
								<th style="width:3%" >Visibilit&#233;</th>
								<th style="width:3%" >Publi&#233;e</th>
								<th style="width:13%">date de cr&#233;ation</th>
								<th style="width:13%">date de mise &#224; jour</th>
								</xsl:otherwise>
							</xsl:choose>
						</tr>
					</thead>
					<tbody>
						<xsl:for-each select="exsl:node-set($rels)/rel[sousType = $sousType 
						and not(@id = preceding-sibling::rel/@id) ]"
						xmlns:exsl="http://exslt.org/common">
							<xsl:sort select="libelle"/>
							<xsl:variable name="idRel"><xsl:value-of select="@id"/></xsl:variable>
							<tr id="REL_{@id}">
								<td>
									<xsl:call-template name="afficherIconeRessource">
										<xsl:with-param name="type"> <xsl:value-of select="type"/></xsl:with-param>
									</xsl:call-template>
								</td>
								<td> 
									<a href="showrel.jsp?id={@id}&amp;type={type}">
									<xsl:value-of select="libelle" disable-output-escaping="yes"/>
								</a> </td>
								<td>
									<xsl:value-of select="visibilite"/>
								</td>
								<td id="REL_COL_{@id}" style="text-align:center">
									<a href="javascript:changerEtatPublication({@id},'{etat}','REL_COL_{@id}')">
									<xsl:choose>
										<xsl:when test="etat = 'BROUILLON'">
											<img src="../images/icons/interdit-icon.png" border="0" alt="interdit" title="ressource non publi&#233;e"/>
										</xsl:when>
										<xsl:otherwise>
											<img src="../images/icons/autorise-icon.png" border="0" alt="publier" title="ressource publi&#233;e"/>
										</xsl:otherwise>
									</xsl:choose>
									</a>
								</td>
								<td>
							<span style="display:none"><xsl:value-of 
select="concat(substring(dateCre,7,4),'/',substring(dateCre,4,2),'/',substring(dateCre,1,2))"/></span><xsl:value-of select="dateCre"/>
								</td>
								<td>
							<span style="display:none"><xsl:value-of 
select="concat(substring(dateMAJ,7,4),'/',substring(dateMAJ,4,2),'/',substring(dateMAJ,1,2))"/></span><xsl:value-of select="dateMAJ"/>
								</td>
								<xsl:if test="@refId">
									<td valign="middle">
										<xsl:call-template name="afficherIconeRessource">
											<xsl:with-param name="type"> <xsl:value-of select="mereType"/></xsl:with-param>
										</xsl:call-template>
									</td>
									<td>
										<xsl:for-each select="exsl:node-set($rels)/rel[@id = $idRel]"
										xmlns:exsl="http://exslt.org/common">
											<xsl:variable name="refId">
												<xsl:value-of select="@refId"/>
											</xsl:variable>
								<!--/td>
								<td--> <a href="showrel.jsp?id={$refId}&amp;type={mereType}">
											<xsl:value-of select="mereLibelle" disable-output-escaping="yes"/>
											</a> 
											<xsl:if test="not(last() = position())">, </xsl:if>
										</xsl:for-each>
									</td>
								</xsl:if>
							</tr>
						</xsl:for-each>
					</tbody>
				</table>
			</div>
			</xsl:for-each>
		</div>
	</xsl:template>
	
	<xsl:template name="afficherIconeRessource">
		<xsl:param name="type"/>

		<xsl:choose>
			<xsl:when test="$type = 'programme'">
				<img alt="programme" title="programme" src="../images/icons/programme.png"/>
			</xsl:when>
			<xsl:when test="$type = 'document'">
				<img alt="document" title="document" src="../images/icons2/icondoc.png"/>
			</xsl:when>
			<xsl:when test="$type = 'activité'">
				<img alt="activit&#233;" title="activit&#233;" src="../images/icons2/iconact.gif"/>
			</xsl:when>
			<xsl:when test="$type = 'matière'">
				<img alt="mati&#232;re" title="mati&#232;re" src="../images/icons2/iconmat.png"/>
			</xsl:when>
			<xsl:when test="$type = 'travaux'">
				<img alt="icontra.png" title="travaux" src="../images/icons2/icontra.png"/>
			</xsl:when>
			<xsl:when test="$type = 'qcm'">
				<img alt="pencil.png" title="qcm" src="../images/icons/pencil.png"/>
			</xsl:when>
			<xsl:when test="$type = 'question'">
				<img alt="question.png" title="question" src="../images/icons2/question.png"/>
			</xsl:when>
			<xsl:when test="$type = 'espace'">
				<img alt="echange.png" title="espace" src="../images/icons/echange.png"/>
			</xsl:when>
			<xsl:when test="$type = 'rubrique'">
				<img alt="rubrique.png" title="rubrique" src="../images/icons2/iconrub.png"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="afficherDepositaires">
		<xsl:call-template name="afficherDialogueMessage">
			<xsl:with-param name="relId" select="//menuPage/rel/@id" />
			<xsl:with-param name="pereId" select="0" />
		</xsl:call-template>
		<table class="tablesorter" >
			<thead>
				<tr>
				<th style="width:80%">Nom</th>
				<th style="width:20%">Fonction</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/menuPage/rel/participants/acteur">
				<tr>
					<td>
						<a href="javascript:envoyerMessage('{@id}');">
							<img src="../images/icons2/iconmsgenvoi.gif" border="0" alt="Envoyer un message"/>
						<xsl:text> </xsl:text><xsl:value-of select="nom"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="prenom"/>
						</a>
					</td>
					<td>
						<xsl:value-of select="@fonction"/>
					</td>
				</tr>
				</xsl:for-each>
				<!-- pour envoyer un message a tous les contributeurs -->
				<tr>
					<td>
						<a href="javascript:envoyerMessage('rel {/menuPage/rel/@id}');">
							<img src="../images/icons2/iconmsgenvoi.gif" border="0" alt="Envoyer un message"/>
						Tous les contributeurs
						</a>
					</td>
					<td>
						*
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
	
	<xsl:template name="afficherDialogueMessage">
		<xsl:param name="relId" />
		<xsl:param name="pereId" />
		<script type="text/javascript" src="../js/messagerie.js"></script>
		<!-- DIV pouvant etre affiche avec un bouton "Envoyer un message" -->
		<div id="message" title="Envoyer un message">
			<p class="validateTips">Entrez votre message</p>
			<form method="post" action="AjoutMessage">
				Objet : <input type="text" name="objet" id="objet" class="text ui-widget-content ui-corner-all" />
				<br /><br />
				Contenu :
				<br /><br />
				<textarea style="width: 100%;" name="content" id="content" />
				<input type="hidden" id="destId" name="destId" value="" />
				<div id="message_filtreGroupe" style="display: none;">
					<br />
					Site : <select name="site">
						<option value="0">Tous</option>
					<xsl:for-each select="//menuPage/rel/groupe[@type='site']">
						<option value="{@id}"><xsl:value-of select="libelle" /></option>
					</xsl:for-each>
					</select>
					<br />
					Groupe : <select name="groupe">
						<option value="0">Tous</option>
					<xsl:for-each select="//menuPage/rel/groupe[@type='groupe' or @type='edt']">
						<option value="{@id}"><xsl:value-of select="libelle" /></option>
					</xsl:for-each>
					</select>
					<br />
				</div>
				<input type="hidden" name="relId" value="{$relId}" />
				<input type="hidden" name="pereId" value="{$pereId}" />
			</form>
		</div>
		<!-- Fin DIV "Envoyer un message" -->
	</xsl:template>
	
</xsl:stylesheet>
